﻿
html {
    position: relative;
    min-height: 100%;
}

body {
    margin-bottom: 60px;
}

.top-20 {
    padding-top: 20px;
}

/* #region Footer styles */
.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    font-size: 0.85em;
    height: 60px;
}
/* #endregion */

/* #region custom Kendo UI styles */
h1 {
    margin: 0;
    font-size: 32px;
    /*font-weight: lighter;
    color: #fff;*/
}

h2 {
    font-size: 30px;
    font-weight: lighter;
}

.placeholders {
    margin: 30px auto;
}

.placeholder img {
    display: inline-block;
}

p .k-button {
    margin: 0 15px 0 0;
}

#configure {
    display: none;
}

p .k-button {
    margin: 0 15px 0 0;
}

#responsive-panel {
    padding: 0;
}

    #responsive-panel .k-menu {
        padding: .5rem;
    }

.bg-dark {
    background-color: #F2EEE3 !important;
}
.bg-light {
    background-color: #04A1E0 !important;
}
.k-menu:not(.k-context-menu) {
    border-color: #dde2e7;
    color: #000;
    background-color: #04A1E0;
    text-transform: uppercase;
    font-weight: bold;
}
#Menu > .k-last {
    float: right !important;
    border-left-width: 1px;
    border-right-width: 0;
}
.navbar {
    padding: 20px;
}
h2 {
    font-size: 2em;
    line-height: 1.4;
    color: #1e2107;
    /*text-align: center;*/
    display: block;
    margin-block-start: 0.83em;
    margin-block-end: 0.83em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
    font-weight: bold;
    font-family: 'Lato', sans-serif;
}
/* #endregion */
@media (max-width: 767px) {
    #responsive-panel {
        transition: all linear .2s;
    }

    #configure {
        display: block;
        float: right;
    }

    .k-rpanel {
        padding: 0 1rem;
    }

    .k-rpanel-expanded {
        padding: .5rem 1rem;
    }

    .navbar-header {
        width: 100%;
    }

    .k-menu .k-item,
    .k-menu .k-link {
        width: 100%;
    }

    .k-menu .k-link {
        box-sizing: border-box;
    }

    
}

.example-inner {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    width: 300px;
    height: 300px;
    border: 1px solid #000000;
}

.example-text {
    font-size: 1.5rem;
}

.k-button {
    margin-bottom: 20px;
}
/* Loader Panel Styles */
.k-loading-panel {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 100;
}

.k-loading-panel-mask {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-color: #000000;
    opacity: 0.8;
}

.k-loading-panel-wrapper {
    position: relative;
    z-index: 2;
}

.k-loading-panel-text {
    margin-top: 20px;
    text-align: center;
    color: #ffffff;
}

.left-right {
    overflow: hidden;
    
    position: relative;
    
}

.slider {
    
    position: absolute;
    top: 0;
    /*right: -300px;*/
    right: 0px;
    color: #fff;
    transition: 0.4s ease;
}
.expander {
    position: relative;
    width:100vw; 
   
    
    transition: 0.4s ease;
}
.outexpander {
    
    position:absolute;
    color: #fff;

    padding: 0;
    overflow:hidden;
}

.left-right:hover .slider {
   /* right: 0;  */
    
}

.left-right:hover .expander {
    /* width: 100vw; */
    
}
.saving {
    z-index: 2;
    position: fixed;
    opacity: 1;
    margin-top: 250px;
    margin-left: 800px;
    display:block;
}
.saved{
    display:none;
}
.schedsaving {
    opacity: 0.4;
}
.schedsaved{
    opacity: 1;
}

/* Start by setting display:none to make this hidden.
   Then we position it in relation to the viewport window
   with position:fixed. Width, height, top and left speak
   for themselves. Background we set to 80% white with
   our animation centered, and no-repeating */
.modal {
    display: none;
    position: fixed;
    z-index: 1000;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background: rgba( 255, 255, 255, .8 ) url('http://i.stack.imgur.com/FhHRx.gif') 50% 50% no-repeat;
}

/* When the body has the loading class, we turn
   the scrollbar off with overflow:hidden */
body.loading .modal {
    overflow: hidden;
}

/* Anytime the body has the loading class, our
   modal element will be visible */
body.loading .modal {
    display: block;
}